/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.redhat.sample;

/**
 *
 * @author rmartinc
 */
public class Greeter {
    
    private String name;
    private String surname;
    private String title;
    
    public Greeter() {
    }

    public Greeter(String name) {
        this(null, name, null);
    }
    
    public Greeter(String title, String surname) {
        this(title, null, surname);
    }
    
    public Greeter(String title, String name, String surname) {
        this.name = name;
        this.title = title;
        this.surname = surname;
    }
    
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSurname() {
        return surname;
    }

    public void setSurname(String surname) {
        this.surname = surname;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }
    
    @Override
    public String toString() {
        StringBuilder sb= new StringBuilder();
        if (this.title != null) {
            sb.append(this.title);
        }
        if (this.name != null) {
            if (sb.length() > 0) {
                sb.append(" ");
            }
            sb.append(this.name);
        }
        if (this.surname != null) {
            if (sb.length() > 0) {
                sb.append(" ");
            }
            sb.append(this.surname);
        }
        if (sb.length() == 0) {
            sb.append("World");
        }
        return sb.toString();
    }
    
}
