/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.redhat.sample;

import javax.ws.rs.Consumes;
import javax.ws.rs.GET;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.QueryParam;
import javax.ws.rs.core.MediaType;

/**
 *
 * @author rmartinc
 */
@Path("hello")
public class HelloWorld {

    @POST
    @Path("entity")
    @Produces({MediaType.APPLICATION_JSON})
    @Consumes({MediaType.APPLICATION_JSON})
    public Greeting helloEntity(Greeter greeter) {
        return new Greeting(greeter);
    }
    
    @GET
    @Path("text")
    @Produces(MediaType.TEXT_PLAIN)
    public String world(@QueryParam("title") String title,
            @QueryParam("name") String name,
            @QueryParam("surname") String surname) {
        return new Greeting(new Greeter(title, name, surname)).toString();
    }
}
